# -*- coding: utf-8 -*-
# Generated by Django 1.11.6 on 2018-01-02 14:53
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import django_ontology.models
import model_utils.fields
import mptt.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('django_ontology', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Article',
            fields=[
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('key', models.CharField(max_length=64, primary_key=True, serialize=False)),
                ('static', models.BooleanField(default=False)),
                ('lft', models.PositiveIntegerField(db_index=True, editable=False)),
                ('rght', models.PositiveIntegerField(db_index=True, editable=False)),
                ('tree_id', models.PositiveIntegerField(db_index=True, editable=False)),
                ('level', models.PositiveIntegerField(db_index=True, editable=False)),
                ('parent', mptt.fields.TreeForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='children', to='demo.Article')),
            ],
            options={
                'abstract': False,
            },
            bases=(django_ontology.models.ExpressionTypeMixin, models.Model),
        ),
        migrations.CreateModel(
            name='ArticleExpression',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('type', models.CharField(max_length=32)),
                ('raw', models.TextField(null=True)),
                ('formatted', models.TextField(null=True)),
                ('concept', django_ontology.models.OntologyForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='expressions', to='demo.Article')),
                ('language', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='django_ontology.Language')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Concept',
            fields=[
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('key', models.CharField(max_length=64, primary_key=True, serialize=False)),
                ('static', models.BooleanField(default=False)),
                ('lft', models.PositiveIntegerField(db_index=True, editable=False)),
                ('rght', models.PositiveIntegerField(db_index=True, editable=False)),
                ('tree_id', models.PositiveIntegerField(db_index=True, editable=False)),
                ('level', models.PositiveIntegerField(db_index=True, editable=False)),
                ('parent', mptt.fields.TreeForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='children', to='demo.Concept')),
            ],
            options={
                'abstract': False,
            },
            bases=(django_ontology.models.ExpressionTypeMixin, models.Model),
        ),
        migrations.CreateModel(
            name='Definition',
            fields=[
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('key', models.CharField(max_length=64, primary_key=True, serialize=False)),
                ('static', models.BooleanField(default=False)),
                ('lft', models.PositiveIntegerField(db_index=True, editable=False)),
                ('rght', models.PositiveIntegerField(db_index=True, editable=False)),
                ('tree_id', models.PositiveIntegerField(db_index=True, editable=False)),
                ('level', models.PositiveIntegerField(db_index=True, editable=False)),
                ('parent', mptt.fields.TreeForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='children', to='demo.Definition')),
            ],
            options={
                'abstract': False,
            },
            bases=(django_ontology.models.ExpressionTypeMixin, models.Model),
        ),
        migrations.CreateModel(
            name='DefinitionExpression',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('type', models.CharField(max_length=32)),
                ('raw', models.TextField(null=True)),
                ('formatted', models.TextField(null=True)),
                ('concept', django_ontology.models.OntologyForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='expressions', to='demo.Definition')),
                ('language', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='django_ontology.Language')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Expression',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('type', models.CharField(max_length=32)),
                ('raw', models.TextField(null=True)),
                ('formatted', models.TextField(null=True)),
                ('concept', django_ontology.models.OntologyForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='expressions', to='demo.Concept')),
                ('language', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='django_ontology.Language')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AlterUniqueTogether(
            name='expression',
            unique_together=set([('concept', 'language', 'type')]),
        ),
        migrations.AlterUniqueTogether(
            name='definitionexpression',
            unique_together=set([('concept', 'language', 'type')]),
        ),
        migrations.AlterUniqueTogether(
            name='articleexpression',
            unique_together=set([('concept', 'language', 'type')]),
        ),
    ]
